org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPreloaderAssignments<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.concurrent.ConcurrentHashMap<ClusterNode,GridDhtPartitionDemandMessage>
    - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPreloaderAssignments<K,V>

All Implemented Interfaces:
  Serializable, ConcurrentMap<ClusterNode,GridDhtPartitionDemandMessage>, Map<ClusterNode,GridDhtPartitionDemandMessage>

    public class GridDhtPreloaderAssignments<K,V>
    extends ConcurrentHashMap<ClusterNode,GridDhtPartitionDemandMessage>

Partition to node assignments.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPreloaderAssignments(GridDhtPartitionsExchangeFuture exchFut, AffinityTopologyVersion topVer)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.util.concurrent.ConcurrentHashMap

`clear, contains, containsKey, containsValue, elements, entrySet, get, isEmpty, keys, keySet, put, putAll, putIfAbsent, remove, remove, replace, replace, size, values`

### Methods inherited from class java.util.AbstractMap

`clone, equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### GridDhtPreloaderAssignments

    public GridDhtPreloaderAssignments(GridDhtPartitionsExchangeFuture exchFut,
                               AffinityTopologyVersion topVer)

Parameters:
  `exchFut` - Exchange future.
  `topVer` - Last join order.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractMap<ClusterNode,GridDhtPartitionDemandMessage>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015